/*
 * Sega Saturn cartridge flash tool
 * by Anders Montonen, 2012
 *
 * Original software by ExCyber
 * Graphics routines by Charles MacDonald
 *
 * Creative Commons Attribution-ShareAlike 3.0 Unported (CC BY-SA 3.0)
 */
#ifndef _CONIO_H_
#define _CONIO_H_

#include <stdint.h>

/* Function prototypes */
void conio_init(void);
void _printchar(int x, int y, uint8_t color, char v);
void _printf(int x, int y, uint8_t color, const char *s);
void _printhexd(int x, int y, uint8_t color, uint8_t v);
void _printhexb(int x, int y, uint8_t color, uint8_t v);
void _printhexw(int x, int y, uint8_t color, uint16_t v);
void _printhexl(int x, int y, uint8_t color, uint32_t v);

#endif /* _CONIO_H_ */
